Patcher error in Korea

Due to Amazon IP block in korea, patcher service can be unavailable for korean users.
Until the problem is resolved please use VPN for open launcher. After it you can disable VPN.

UPD: Fixed and all works ok.
 
Last edited:

Comments

Top